// disable-autocomplete.js
document.addEventListener("DOMContentLoaded", function() {
    const inputs = document.querySelectorAll('.styled-input');

    // 遍历所有输入框并添加事件监听器
    inputs.forEach(function(input) {
        // 输入框数据数据提交后浏览器会记录信息 不进行提示已输入过的数据信息
        input.setAttribute('autocomplete', 'off');
        // 当鼠标进入输入框时改变背景色
        input.addEventListener('mouseover', function() {
            this.style.backgroundColor = '#f0f0f0'; // 浅灰色背景
        });

        // 当鼠标离开输入框时调用公共函数
        input.addEventListener('mouseout', function() {
            this.style.backgroundColor = ''; // 清空背景色属性，使用默认值
        });
        var initialValue = input.getAttribute('data-default-value') || ''; // 获取默认值，默认为空字符串
        input.addEventListener('change', function() {
            var currentValue = this.value;
            //console.log("初始值", initialValue,"输入的值",currentValue,"结果 ",currentValue !== initialValue)
            if (currentValue !== '') {
                this.classList.remove('changed');
                // 当值改变时，添加一个类来标识
                this.classList.add('changed');
                initialValue = currentValue; // 更新初始值
            } else {
                // 如果值回到初始值，则移除标识类
                this.classList.remove('changed');
            }
        });
    });
});

/* 页面重置按钮 调用后清除css 样式*/
function _refresh() {
    document.querySelectorAll('.styled-input').forEach(select => select.classList.remove('changed'));
}
